package com.chelvc.cloud.vehicle.client;

import com.chelvc.cloud.vehicle.client.dto.MerchantAssetDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient("vehicle")
public interface AssetClient {

    @GetMapping("/asset/merchant/{merchantId}")
    public MerchantAssetDTO getMerchantAsset(@PathVariable("merchantId") Long merchantId);
}
