package com.chelvc.cloud.vehicle.client.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @author valley
 * @date 2024/02/03 15:45
 **/
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class AssessMessageDto {
    /**
     * 合计评价数
     */
    Long total;
    /**
     * 五星评价数
     */
    Long fiveLevelCount;
    /**
     * 四星评价数
     */
    Long fourLevelCount;
    /**
     * 三星评价数
     */
    Long threeLevelCount;
    /**
     * 二星评价数
     */
    Long twoLevelCount;
    /**
     * 一星评价数
     */
    Long oneLevelCount;
    List<GoodsAssessDto> assessMessages;
}
