package com.chelvc.cloud.vehicle.server.controller;


import java.util.List;

import com.chelvc.cloud.vehicle.client.dto.RegionDTO;
import com.chelvc.cloud.vehicle.server.service.CommonService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class CommonController {

    private final CommonService commonService;

    @GetMapping("/common/getRegionByPid")
    public List<RegionDTO> getRegionByPid(@RequestParam("pid") Integer pid) {
        return commonService.getRegionByPid(pid);
    }
}
